#
# spec file for package qgrid
#

Name:           qgrid
URL:            http://users.telenet.be/on4qz
License:        GPL-2.0-or-later
Group:          Productivity/Hamradio/Other
Version:        3.2
Release:        11.21
Summary:        Converts between Maidenhead grid squares and latitude/longitude
Source:         http://users.telenet.be/on4qz/download/qgrid_3_2.tgz
Patch0:         qgrid-desktop.diff
Patch1:         qgrid-file-location.patch
BuildRequires:  doxygen
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  update-desktop-files
BuildRequires:  fdupes


%description
QGrid is a X11-tool for converting between maidenhead grid squares and
latitude/longitude and calculating the distance and bearing between two given
points.

Authors:
--------
    Johan Maes <on4qz@telenet.be>


%prep
%autosetup -p1 -n %{name}


%build
qmake-qt5 qgrid_3.pro
%make_build

#build html documentation
cd documentation
doxygen manual.doxy


%install
make INSTALL_ROOT=%{buildroot} install

#create icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp icons/qgrid.xpm %{buildroot}/usr/share/pixmaps/qgrid.xpm

#create desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
cp QGrid.desktop %{buildroot}/usr/share/applications/QGrid.desktop
%suse_update_desktop_file QGrid -r Network HamRadio

#install docs
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -r documentation/html %{buildroot}%{_docdir}/%{name}

%check

%files
%{_bindir}/%{name}
%{_datadir}/applications/QGrid.desktop
%{_datadir}/pixmaps/qgrid.xpm
%{_docdir}/%{name}


%changelog
* Wed Oct  2 2024 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix build for Tumbleweed and Factory
* Sun Dec  1 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- updated to version 3.2
- use Qt5
- updated specfile
- fixed desktop categories
* Wed Mar  4 2015 wk@ire.pw.edu.pl
- new nersion 3.0.0
- refurbished specfile
* Wed May 31 2006 dg7gt@online.de
- partially rewrite spec file
* Mon May  2 2005 on4qz@telenet.be
- initial release
